<ion-header><ion-navbar></ion-navbar></ion-header>

<ion-content>
  <ion-grid fixed>
    <ion-list>
      <ion-searchbar placeholder="Fang hier an zu suchen..." [(ngModel)]="searchTerm" (ionInput)="search()"></ion-searchbar>
      <ion-item text-wrap>
        <ion-label>In Deutschland steuerlich absetzbar</ion-label>
        <ion-toggle [(ngModel)]="taxDeductable" checked="false" (ionChange)="search()"></ion-toggle>
      </ion-item>
      <ion-item text-wrap>
        <ion-label>Erweiterte Suche</ion-label>
        <ion-toggle [(ngModel)]="advancedSearch" checked="false" (ionChange)="search()"></ion-toggle>
      </ion-item>
      <ion-item *ngIf="advancedSearch">
        <ion-label>Kategorie</ion-label>
        <ion-select [(ngModel)]="searchCategories" multiple="true" submitText="Suchen" cancelText="Abbrechen" (ionChange)="search()">
          <ion-option value="Armut">Armut</ion-option>
          <ion-option value="Existenzrisiken">Existenzrisiken</ion-option>
          <ion-option value="Meta">Meta</ion-option>
          <ion-option value="Politik">Politik</ion-option>
          <ion-option value="Tierleid">Tierleid</ion-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="advancedSearch">
        <ion-label>Problemfeld</ion-label>
        <ion-select [(ngModel)]="searchCauses" multiple="true" submitText="Suchen" cancelText="Abbrechen" (ionChange)="search()">
          <ion-option *ngIf="listContains(searchCategories, 'Armut')" value="Bildung">Bildung</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Existenzrisiken')" value="Biosicherheit">Biosicherheit</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Armut')" value="Gesundheit">Gesundheit</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Tierleid')" value="Haltungsbedingungen">Haltungsbedingungen</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Politik')" value="Institutionen">Institutionen</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Existenzrisiken')" value="Klimaschutz">Klimaschutz</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Existenzrisiken')" value="Künstliche Intelligenz">K&uuml;nstliche Intelligenz</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Armut')" value="Lebensstandard">Lebensstandard</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Meta')" value="Makrostrategie">Makrostrategie</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Armut')" value="Menschenleben">Menschenleben</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Politik')" value="Menschenrechte">Menschenrechte</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Existenzrisiken')" value="Nuklearsicherheit">Nuklearsicherheit</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Meta')" value="Öffentlichkeitsarbeit">&Ouml;ffentlichkeitsarbeit</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Tierleid')" value="Tierleben">Tierleben</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Politik')" value="Werte und Moral">Werte und Moral</ion-option>
          <ion-option *ngIf="listContains(searchCategories, 'Meta')" value="Wirksamkeitsanalyse">Wirksamkeitsanalyse</ion-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="advancedSearch">
        <ion-label>Wirkrichtung</ion-label>
        <ion-select [(ngModel)]="searchImpactDirection" multiple="true" submitText="Suchen" cancelText="Abbrechen" (ionChange)="search()">
          <ion-option value="proaktiv">proaktiv</ion-option>
          <ion-option value="reaktiv">reaktiv</ion-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="advancedSearch">
        <ion-label>Region</ion-label>
        <ion-select [(ngModel)]="searchRegion" multiple="true" submitText="Suchen" cancelText="Abbrechen" (ionChange)="search()">
          <ion-option value="Afrika">Afrika</ion-option>
          <ion-option value="Europa">Europa</ion-option>
          <ion-option value="Mittelamerika">Mittelamerika</ion-option>
          <ion-option value="Ozeanien">Ozeanien</ion-option>
          <ion-option value="Südamerika">S&uuml;damerika</ion-option>
          <ion-option value="Südostasien">S&uuml;dostasien</ion-option>
          <ion-option *ngFor="let country of countries" value="{{ country.code }}">{{ country.name }}</ion-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="advancedSearch">
        <ion-label>Empfohlen durch Evalutator</ion-label>
        <ion-select [(ngModel)]="searchRecommendedBy" multiple="true" submitText="Suchen" cancelText="Abbrechen" (ionChange)="search()">
          <ion-option value="Animal Charity Evaluators">Animal Charity Evalutators</ion-option>
          <ion-option value="Bewusst Spenden">Bewusst Spenden</ion-option>
          <ion-option value="Effektiver Altruismus">Effektiver Altruismus</ion-option>
          <ion-option value="GiveWell">GiveWell</ion-option>
          <ion-option value="The Life You Can Save">The Life You Can Save</ion-option>
        </ion-select>
      </ion-item>
    </ion-list>
    <ion-list>
      <div *ngIf="isMobile()">
        <ion-item-sliding *ngFor="let o of organizations">
          <ion-item text-wrap (tap)="itemHelperClick()">
            <ion-thumbnail item-start (click)="openOrganizationPage({o: o})">
              <img src="../../assets/imgs/organizations/{{ o.thumbnail }}.jpg"/>
            </ion-thumbnail>
            <h2>{{ o.name }}</h2>
            <p>
              <sup class="primary" *ngIf="taxDeductable && o.taxDeductable">Direkt steuerlich absetzbar</sup>
              <sup class="secondary" *ngIf="taxDeductable && !o.taxDeductable && o.donationLink3rdParty">Via Partner steuerlich absetzbar</sup>
              <sup class="danger" *ngIf="taxDeductable && !o.taxDeductable && !o.donationLink3rdParty">Nicht steuerlich absetzbar</sup>
            </p>
            <h3>{{ o.slogan }}</h3>
            <p>{{ o.shortDescription }}</p>
            <a *ngFor="let e of o.evaluators" [href]="e.top ? e.link : '#'" [target]="e.top ? '_blank' : '_self'">
              <ion-badge color="{{ e.top && 'danger' || 'secondary' }}" style="margin-right: 3px">{{e.evaluator}}</ion-badge>
            </a>
          </ion-item>
          <ion-item-options side="right">
            <button ion-button color="primary" (click)="openOrganizationPage({o: o})">
              <ion-icon name="information-circle"></ion-icon>
              Mehr Info
            </button>
            <a [href]="o.website" (click)="webAnalyticsService.visitCharityWebsite(o.thumbnail)" target="_blank">
              <button ion-button color="secondary">
                <ion-icon name="browsers"></ion-icon>
                Website
              </button>
            </a>
            <a [href]="getDonationLink({o: o})" (click)="webAnalyticsService.donateToCharity(o.thumbnail)" target="_blank">
              <button ion-button color="danger">
                <ion-icon name="cash"></ion-icon>
                Spenden
              </button>
            </a>
          </ion-item-options>
        </ion-item-sliding>
      </div>
      <div *ngIf="!isMobile()">
        <ion-item text-wrap *ngFor="let o of organizations">
          <ion-thumbnail item-start class="clickable" (click)="openOrganizationPage({o: o})">
            <img src="../../assets/imgs/organizations/{{ o.thumbnail }}.jpg"/>
          </ion-thumbnail>
          <h2>{{ o.name }}</h2>
          <p>
            <sup class="primary" *ngIf="taxDeductable && o.taxDeductable">Direkt steuerlich absetzbar</sup>
            <sup class="secondary" *ngIf="taxDeductable && !o.taxDeductable && o.donationLink3rdParty">Via Partner steuerlich absetzbar</sup>
            <sup class="danger" *ngIf="taxDeductable && !o.taxDeductable && !o.donationLink3rdParty">Nicht steuerlich absetzbar</sup>
          </p>
          <h3>{{ o.slogan }}</h3>
          <p>{{ o.shortDescription }}</p>
          <a *ngFor="let e of o.evaluators" [href]="e.top ? e.link : '#'" [target]="e.top ? '_blank' : '_self'">
            <ion-badge color="{{ e.top && 'danger' || 'secondary' }}" style="margin-right: 3px">{{e.evaluator}}</ion-badge>
          </a>
          <div class="buttons" item-end>
            <p>
              <button ion-button block color="primary" (click)="openOrganizationPage({o: o})">
                <ion-icon name="information-circle"></ion-icon>
                &nbsp;Mehr Info
              </button>
            </p>
            <p>
              <a [href]="o.website" (click)="webAnalyticsService.visitCharityWebsite(o.thumbnail)" target="_blank">
                <button ion-button block color="secondary">
                  <ion-icon name="browsers"></ion-icon>
                  &nbsp;Website
                </button>
              </a>
            </p>
            <p>
              <a [href]="getDonationLink({o: o})" (click)="webAnalyticsService.donateToCharity(o.thumbnail)" target="_blank">
                <button ion-button block color="danger">
                  <ion-icon name="cash"></ion-icon>
                  &nbsp;Spenden
                </button>
              </a>
            </p>
          </div>
        </ion-item>
      </div>
    </ion-list>
    <div class="bottom-space"></div>
  </ion-grid>
</ion-content>
